Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl
Class AttributeHandlerRegistry

    java.lang.Object
      oracle.ifs.fdk.impl.AttributeHandlerRegistry

Direct Known Subclasses:
  CoreAttributeHandlerRegistry

    public abstract class AttributeHandlerRegistry

extends java.lang.Object

A mapping between attribute name and corresponding AttributeHandler.

Constructor Summary
`AttributeHandlerRegistry()` Constructs an AttributeHandlerRegistry.

Method Summary
`AttributeHandler` | `getAttributeHandler(java.lang.String attributeName, LibraryObject reposObject)` Returns the AttributeHandler registered for the given attribute name or `null` if the attribute name is not registered.
`java.util.Map` | `getRegistry()` Returns a read-only view of the registry, backed by the live underlying registry.
`protected void` | `register(java.lang.String attributeName, AttributeHandler handler)` Registers a new AttributeHandler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeHandlerRegistry

    public AttributeHandlerRegistry()

  Constructs an AttributeHandlerRegistry.

Method Detail

### getRegistry

    public java.util.Map getRegistry()

  Description copied from class: `AttributeHandlerRegistry`
  Returns a read-only view of the registry, backed by the live underlying registry. Dynamic changes at runtime will be reflected in the returned read-only view.

### getAttributeHandler

    public AttributeHandler getAttributeHandler(java.lang.String attributeName,
                                                LibraryObject reposObject)

  Description copied from class: `AttributeHandlerRegistry`
  Returns the AttributeHandler registered for the given attribute name or `null` if the attribute name is not registered.

### register

    protected void register(java.lang.String attributeName,
                            AttributeHandler handler)

  Description copied from class: `AttributeHandlerRegistry`
  Registers a new AttributeHandler.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD